Create an exception list
- Base URL
-
https://{kibana_url}
- POST /api/exception_lists
- POST /s/{space_id}/api/exception_lists
Refer to Spaces for more information.
An exception list groups exception items and can be associated with detection rules. You can assign exception lists to multiple detection rules.
All exception items added to the same list are evaluated using OR logic. That is, if any of the items in a list evaluate to true, the exception prevents the rule from generating an alert. Likewise, OR logic is used for evaluating exceptions when more than one exception list is assigned to a rule. To use the AND operator, you can define multiple clauses (entries) in a single exception item.
Request body
Exception list's properties
-
list_idstring · format: nonempty · min length: 1 -
The exception list's human-readable string identifier.
For endpoint artifacts, use one of the following values:
endpoint_list: Elastic Endpoint exception listendpoint_trusted_apps: Trusted applications listendpoint_trusted_devices: Trusted devices listendpoint_event_filters: Event filters listendpoint_host_isolation_exceptions: Host isolation exceptions listendpoint_blocklists: Blocklists list
-
namespace_type -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
os_typesenum -
Use this field to specify the operating system. Only enter one value.
-
Values:
linuxmacoswindows -
String array containing words and phrases to help categorize exception containers.
Responses
Successful response
-
_versionstring -
The version id, normally returned by the API when the item was retrieved. Use it ensure updates are done against the latest version.
-
list_idstring · format: nonempty · min length: 1required -
The exception list's human-readable string identifier.
For endpoint artifacts, use one of the following values:
endpoint_list: Elastic Endpoint exception listendpoint_trusted_apps: Trusted applications listendpoint_trusted_devices: Trusted devices listendpoint_event_filters: Event filters listendpoint_host_isolation_exceptions: Host isolation exceptions listendpoint_blocklists: Blocklists list
-
namespace_typerequired -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
os_typesenum -
Use this field to specify the operating system. Only enter one value.
-
Values:
linuxmacoswindows -
String array containing words and phrases to help categorize exception containers.
-
tie_breaker_idstringrequired -
Field used in search to ensure all containers are sorted and returned correctly.
Invalid input data response
Unsuccessful authentication response
Not enough privileges response
Exception list already exists response